unit U_BaseList;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants,
  System.Classes, Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Data.DB,
  Data.Win.ADODB, U_WindowFormdesign;

type
  TfrmBaseList = class(TForm)
    ADOQueryBaseCmd: TADOQuery;
    ADOQueryBaseTemp: TADOQuery;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    fWindowDesign: TWindowFormdesign;
  protected
    fParameters1: string;
    fParameters2: string;
    fParameters3: string;
    fParameters4: string;
    fParameters5: string;
    fParameters10: string;
  public
    fFormId: integer;
    constructor Create(AOwner: TComponent; ACaption: string; Parameters1: string; Parameters2: string; Parameters3: string; Parameters4: string; Parameters5: string; Parameters10: string);
  end;

var
  frmBaseList: TfrmBaseList;

implementation

uses
  U_RTFun, U_globalVar, U_dataLink;
{$R *.dfm}

constructor TfrmBaseList.Create(AOwner: TComponent; ACaption: string; Parameters1: string; Parameters2: string; Parameters3: string; Parameters4: string; Parameters5: string; Parameters10: string);
begin
  inherited Create(AOwner);
  if ACaption <> '' then
    Caption := ACaption;

  fParameters1 := Parameters1;
  fParameters2 := Parameters2;
  fParameters3 := Parameters3;
  fParameters4 := Parameters4;
  fParameters5 := Parameters5;
  fParameters10 := Parameters10;
end;

procedure TfrmBaseList.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  if WriteCloseWin(ADOQueryBaseCmd, self.Caption, fFormId, gDllFileName) then
  begin
    Sendmessage(application.MainForm.Handle, WM_CloseForm, 4, 0);
  end;

end;

procedure TfrmBaseList.FormCreate(Sender: TObject);
begin
  fWindowDesign := TWindowFormdesign.Create();
end;

procedure TfrmBaseList.FormDestroy(Sender: TObject);
begin
  fWindowDesign.free;
end;

procedure TfrmBaseList.FormShow(Sender: TObject);
begin

  fWindowDesign.FormStyleInit(self, fFormId, ADOQueryBaseTemp, ADOQueryBaseCmd, '', fParameters10);
end;

end.

